/* Override Chosen text cursor */
.chosen-container-single .chosen-single,
.chosen-container-multi .chosen-choices {
	cursor: pointer;
}

/* Datatable filters */
.filter-form {
	margin: 0 -10px;
}

.filter-form-group {
	box-sizing: border-box;
	float: left;
	padding: 0 10px;
}

@media (max-width: 767px) {
	.filter-form {
		margin: 0 0;
	}

	.filter-form-group {
		float: none;
		width: 100% !important;
		padding: 0;
	}
}

@media screen and (max-width: 767px) {
	.table-responsive > .table > thead > tr > th.long-text-td,
	.table-responsive > .table > tbody > tr > th.long-text-td,
	.table-responsive > .table > tfoot > tr > th.long-text-td,
	.table-responsive > .table > thead > tr > td.long-text-td,
	.table-responsive > .table > tbody > tr > td.long-text-td,
	.table-responsive > .table > tfoot > tr > td.long-text-td,
	.table-responsive > .table > tfoot > tr > td.long-text-td {
		min-width: 250px;
		white-space: normal;
	}
}

/* Row highlighting */
.table {
	overflow: hidden;
	max-width: none; /* to make horizontal scrolling work on iOS devices */
	-webkit-overflow-scrolling: touch;
}

.table td.is_unread_for_user {
	position: relative;
}

.unread-indicator {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	display: block;
	width: 4px;
	background: #337ab7;
}

/* Quickfilter keyword highlighting */
.search-match {
	text-shadow: 0px 0px 1px yellow;
	transition: text-shadow 1000ms;
}

/* Minimal tables, used in matter view iboxes */
.ibox-content > .table {
	margin-bottom: 0;
}

.table-minimal > tbody > tr > td {
	border-top-style: none;
}

.table-minimal > tbody > td:first-child {
	padding-left: 0;
}

.table-minimal > td:last-child {
	padding-right: 0;
}

/* Text-truncating table cells */
td.truncate {
	max-width: 100px;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

/* More visible table row hover */
.table-hover > tbody > tr:hover,
.table-hover > tbody > tr:focus {
	background-color: #eee;
}

.subtotals {
	background: none !important;
}

.subtotals td {
	border-top: 1px solid #ddd !important;
}

.table th {
	white-space: nowrap;
	font-weight: 500;
}

table.invoice-review {
	margin-bottom: 0;
}

table.table-borderless > tbody > tr > td,
table.table-borderless > tbody > tr > th,
table.table-borderless > thead > tr > th {
	border-style: none !important
}

.table-responsive, .table-borderless > tbody > tr > td,
.table-responsive, .table-borderless > tbody > tr > th,
.table-responsive, .table-borderless > thead > tr > th {
	border-style: none !important
}

td.no-hover {
	background-color: white !important;
}

table tr.divider {
	border-top: solid 1px;
}

td.with-form-field {
	padding: 4px 0 0 4px !important;
}

.table-minimal {
	background: white !important;
}

.table-minimal tr:hover td {
	/*background: white;*/
	/*color: #23527c;*/
	/*text-shadow: 0.5px 0 0 #23527c, -0.5px 0 0 #23527c;*/
}

.table-minimal {
	border: 1em solid white;
}
.ibox .table-minimal {
	border: none;
}

.table-minimal tr.end-of-row-group > td {
	padding-bottom: 2em;
}

.table-minimal > thead > tr > th {
	/*padding-bottom: 1em;*/
}

.wrapper > .table-responsive > .table-minimal td.divider {
	height: 2em;
	visibility: hidden;
}

/* Table content styles */
.no-description {
	font-style: italic;
	color: #CDD0D2;
}

/* Flexible layout for filters & export buttons and possibly others */
.filter-form .form-group {
	width: 100%;
}

.flex-container {
	display: flex;
	flex-flow: row nowrap;
	justify-content: space-between;
	align-items: flex-start;
	align-content: flex-start;
}

.flex-item {
	order: 0;
	flex: 10 1 auto; /* Allow growing wider than flex-basis set in filters.blade.php, allow shrinking too */
	align-self: flex-start;
	min-width: 0;
}

.export-button {
	margin-left: 19px;
}

@media (max-width: 767px) {
	.flex-container {
		flex-flow: row wrap;
	}

	.flex-item {
		flex-basis: 100% !important;
	}

	.export-button {
		margin-left: 0;
		width: 100%;
	}

	.export-button .btn {
		width: 100%;
		float: none;
	}
}

.mass-selection-description {
	height: 34px;
	line-height: 34px;
}

/* Highlighting applied datatable filters */
.applied .chosen-container-single > .chosen-single,
.applied .input-group-addon,
.applied .date-range-picker,
.applied .quickfilter {
	border-color: #337ab7;
}
